
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>（译）开发人员经常犯的8个设计错误 / iVAN</title>

    <meta name="description" content="（译）开发人员经常犯的8个设计错误 设计师在抱怨开发人员不尊重Web标准,后台开发人员在抱怨为什么不可以增加一个空格.PM在抱怨为什么项目总是因为那些看似简单的问题而延期--如何才能提高后台开发人员与设计师以及前端开发工程师的合作效率?相信很多网站或软件开发公司都越到类似的问题. 从UED的角度而言,我们的天职是追求用户体验.我们应该尽力坚持自己应该坚持的东西.白鸦曾经说过,用户体验不只是UED的事情,而是整个开发团队乃至整个公司需要参与的事情. 我们不能只是抱怨,我们去理解开发人员.同样,我们做出努力,让开发人员去理解我们. 我">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">（译）开发人员经常犯的8个设计错误</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>设计师在抱怨开发人员不尊重Web标准，后台开发人员在抱怨为什么不可以增加一个空格。PM在抱怨为什么项目总是因为那些看似简单的问题而延期……如何才能提高后台开发人员与设计师以及前端开发工程师的合作效率？相信很多网站或软件开发公司都越到类似的问题。</p>
<p>从UED的角度而言，我们的天职是追求用户体验。我们应该尽力坚持自己应该坚持的东西。白鸦曾经说过，用户体验不只是UED的事情，而是整个开发团队乃至整个公司需要参与的事情。</p>
<p>我们不能只是抱怨，我们去理解开发人员。同样，我们做出努力，让开发人员去理解我们。</p>
<p>我们努力去先做出改变。（小马按语）</p>
<p>原文地址： 					 					8 Web Design Mistakes That Developers Make</p>
<p>一个优秀的网站是优秀的设计和优秀的代码的结合，你经常发现设计师不得不去理解代码，而开发人员尝试自己去设计。 开发人员花费大学生涯和与其他开发人员一起学习，我可以肯定的说程序员并不是设计师。谢天谢地，我们以前可以评判代码是否重用或者符合正确的OO方法论，但却无法评判美学。 但现在，一个开发人员最值钱的资产就是他对设计的敏锐的理解。</p>
<p>现在据我所知，程序员可能从不需要任何设计的知识（或者说，设计师从不需要了解程序）。但事实是，每一个拥有个人项目、少量客户或是管理角色的程序员都需要设计。甚至，我可以说，显而易见，一个自由工作者最大优势就在于，培养潜在的客户让他们渴望<strong>理解整个网站的建构过程。</strong>所以一个人正在学习做一个开发人员的同时，也需要学设计（至少尝试去做），以下就是我曾经听说或者犯过的8个错误。<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMTEwMTczMTQxMjQ3Ny5naWY=.jpg"><br /><strong>“我知道什么看起来很好（我有photoshop</strong><strong>）”</strong></p>
<p>这是成为差劲的设计师的原因之一。更无可救药的是本来就很差劲了，还以为自己很好。每个好的设计师都有一个度量好设计的“设计标准”，这个经验来自于自己经常看好的设计。你需要把时间花费在看伟大的设计上，诸如TheFWA, FaveUp, Design is Kinky, 和我个人喜欢的 Behance Network 这些网站。你可能也知道如何去挑选设计杂志，比如How或者print（注意两者并不都是美国的，可能更加国际化一些）。就像好的程序员喜欢看（或评论）其他人的代码一样，好的设计师也总是环顾他人的工作成果，无论是站点、广告牌还是菜单。没有一个好的“设计标准”，即使有大量的photoshop滤镜也拯救不了你。</p>
<p><strong>“一再地使用蓝色和白色”</strong></p>
<p>大多数程序员嘲笑一个设计师总是花费大量的时间来为站点挑选精确的颜色。但是，颜色总要比你想象中还重要，并且你不能在站点构建的时候来更改（至少，那时候就不得不花费大的气力）。象很多事物一样，观察一个好的设计师的配色方案是很有帮助的，寻找配色方案最好的一个站点是COLOURlovers.</p>
<p><strong>“我把每样东西都居中”</strong></p>
<p><strong></strong>大多数情况下，将标题、标语和副本的一部分居中很自然。但是通常，将网页上的文字居中就很外行了。左对齐是很保险的做法，但往往最好是视情况而定。更好地是，在photoshop中利用标尺和网格精确地计算你网站的各个部分。这并不意味着你的设计像格子一样，但是眼睛可以注意到理应被排成一行的几部分却没有这样排列的情况（特别是文本）。每个像素都很重要。<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMTEwMTczMTQxMjYyNC5naWY=.jpg"><strong></strong><br /><strong>“使用免费的字体…</strong><strong>它对于我来说看起来不错”</strong></p>
<p>我曾有一段时间这样想：（a）所有的衬线字看起来都一样（b）没有任何字体值得付钱。我现在把这两条都废除了，去继续学习更多的字体知识，那是一个复杂而美丽的世界。坦诚地讲，如果有一个领域我能成为专家，我希望是字体。你可以只用一点颜色和不错的字体来建立伟大的站点（这只是任何伟大设计的基础）。再次申明，在字体方面要做得更好，需要你多阅读好的站点培养你的眼睛。</p>
<p><strong>“我们可以在那里放置更多的信息”</strong></p>
<p>在拥有程序员和设计师的团队里工作，两者间一个普遍的争论是“空间的利用”，程序员想在页面明显的位置放置尽可能多的信息。设计师争论道，眼睛不可能承受如此多的东西，最好只是在明显的位置只放置logo和标语。尝试去找到最佳的平衡，需要知道（a）杂乱的网站可能没有效果（b）留白不是设计师偷懒 （c）被称作“空”的部分是很必要的，以便突出其它元素。</p>
<p><strong>“我可不想为照片付钱”</strong></p>
<p>槽糕的图片或照片可以毁灭一个合理的网站，同时经过简单处理的伟大图片可以看起来很好。在网页上那么多的资源，没有理由使用差劲的图片。对于非营利站点而言，可以查看stock.xchng 或 Flickr。对于商业的站点，有许许多多的站点，比如iStockPhoto（但是需要了解版权的知识，因为不久后，你可能在其他站点上看到同样的照片了）。最后不要为在诸如Veer这样的站点上找到完美的照片而花费大笔的钱吓坏了。</p>
<p><strong>“我无需询问意见”</strong></p>
<p>更多地询问而不是闭门造车，你会成为你们设计师的最大粉丝（尽管你戴着一副玫瑰色的眼镜）。你需要询问你认识的设计师，以便得到坦诚的评价。不幸的是，我知道大多数被我问过的人，都只是赞誉而非批评。所以让你的自尊滚一边去吧，戴上“知识”这顶帽子。因为这些人是设计师而你不是。然后在你得到了他们的反馈之后，尊重他们、信任他们，并做一些改变。<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMTEwMTczMTQxMjY0Ny5naWY=.jpg"><strong></strong><br /><strong>“无需得到太多细节”</strong></p>
<p>就像你很一般的代码需要等待提高（虽然仍能执行），你也有一些还说的过去的设计，但是离伟大差得远呢。看伟大的设计很容易这样想“这看起来没什么嘛”，但是事实上，伟大的设计花费了很多的时间（特别是对设计的新手）。但是有这些伟大的设计，你只是看到了最终的产品，并不知道设计者期间经历了多少次编辑和修改。甚至，你可能会惊讶于一条分割线会为设计带来多大的不同。当你把所有元素刚放在一起的时候，别以为设计做“完”了。</p>
<p>总而言之，伟大的设计（就像伟大的代码）很耗时间、耐心和技巧——因此，应该得到适当的尊重。尽管作为程序员（或者是内容编辑还是其他的web员工），你可能从不需要设计整个一个站点，但我有一种感觉，或多或少，你不得不做一点设计。如果可能的话，你尽量不要犯以上的错误……</p>
<p><em>（译得有误的地方，望赐教、敬请谅解）</em></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:13:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e8%ae%a1/" title="设计">设计</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e8%ae%a1%e5%b8%88/" title="设计师">设计师</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%91%98/" title="程序员">程序员</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91/" title="开发">开发</a>, <a href="https://www.iamivan.net/tag/%e7%ab%99%e7%82%b9/" title="站点">站点</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>（译）开发人员经常犯的8个设计错误的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmZn9M.html" rel="bookmark">yield在WCF中的错误使用&mdash;&mdash;99&percnt;的开发人员都有可能犯的错误&lbrack;上篇&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在定义API的时候,对于一些返回集合对象的方法,很多人喜欢将返回类型定义成IEnumerable&lt;T&gt;,这本没有什么问题.这里要说的是另一个问题:对于返回类型为IEnumerable&lt;T&gt;的方法来说,我们可以使用yield return的方式来输出返回集合的元素.但是如果我们不了解yield 关键字背后的实现机制,很有可能造成很大的问题. 这是一个WCF相关的问题,我想99%的人都有可能会犯这样的错误--即使你对yield了解得非常透彻.闲话少说,我们通过一个简单的实例来说明这个问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYE11b.html" rel="bookmark">&period;net开发人员常犯的错误分析小结&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1．认为必须要用Visual Studio.NET来开发.NET应用        那些对微软.NET开发不了解的人误以为:利用.NET框架开发应用软件时必须要用到Visual Studio.NET.这并不正确.你只需安装可在微软网站上免费下载的.NET框架即可.         安装了.NET框架,你就可以应用你最喜爱的文本编辑器和.NET工具命令行来进行开发.而且,你还可以应用第三方开发工具,如SharpDevelop.         欲彻底了解Visual Studio.NET有关的讨论			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zem8jOz.html" rel="bookmark">Access 开发人员常犯错误大全&lowbar;ASP基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				错误一:陷入界面设计陷阱.漂亮的姑娘喜欢穿美丽的衣服,丑姑娘也喜欢美丽的衣服,可ACCESS除了提供定制菜单与开关面版之外,不提供任何定制控键的功能.你如果想使用自己的按扭,得编写许多许多代码,非常麻烦.为什么,为什么你们总放着现成的菜单不用,而要自己编写一整界面.累不累.值得吗,有没有人愿意为你的界面支付更多钱.     错误二:不使用DAO,而使用ADO.请记住DAO是世界上访问mdb文件有最高效率的数据库引擎,因为DAO直接内嵌在ACCESS运行环境中.在ACCESS中使用ADO如同打电话			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEEldnb.html" rel="bookmark">Access 开发人员常犯错误大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				错误一:陷入界面设计陷阱.漂亮的姑娘喜欢穿美丽的衣服,丑姑娘也喜欢美丽的衣服,可ACCESS除了提供定制菜单与开关面版之外,不提供任何定制控键的功能.你如果想使用自己的按扭,得编写许多许多代码,非常麻烦.为什么,为什么你们总放着现成的菜单不用,而要自己编写一整界面.累不累.值得吗,有没有人愿意为你的界面支付更多钱. 错误二:不使用DAO,而使用ADO.请记住DAO是世界上访问mdb文件有最高效率的数据库引擎,因为DAO直接内嵌在ACCESS运行环境中.在ACCESS中使用ADO如同打电话给坐在桌			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGj3nnp.html" rel="bookmark">C&plus;&plus;编程人员容易犯的10个C&num;错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道,C#的语法与C++非常相似,实现从C++向C#的转变,其困难不在于语言本身,而在于熟悉.NET的可管理环境和对.NET框架的理解.尽管C#与C++在语法上的变化是很小的,几乎不会对我们有什么影响,但有些变化却足以使一些粗心的C++编程人员时刻铭记在心.在本篇文章中我们将讨论C++编程人员最容易犯的十个错误. 陷阱1: 没有明确的结束方法 几乎可以完全肯定地说,对于大多数C++编程人员而言,C#与C++最大的不同之处就在于碎片收集.这也意味着编程人员再也无需担心内存泄露和确保删除所有没有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBg489M.html" rel="bookmark">Web应用开发人员最易犯的九个安全错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Web应用程序开发是一个很宽泛的话题.本文仅讨论Web应用开发者应当避免的安全错误.这些错误涉及到任何开发者都不应当忽视的基本安全原则. 开发者应当注意哪些基本的安全原则?应当避免哪些安全错误?为回答这些问题,下面的建议可以回答上述问题. 自以为是:开发自己的安全方法 有些开发者错误地认为自己的算法或认证方法更安全:毕竟黑客从未见识过这种方法,所以他们在破解时会更困难.果真如此吗? 答案是否定的.开发者自己开发认证或登录方法是一个错误,因为他会犯一个或一些黑客能够发现的错误.开发者应当依靠现有的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG3Z73z.html" rel="bookmark">网站开发人员经常最常见的CSS错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 CSS代码很容易,但在相同的时间就变得复杂起来,当你写CSS代码,专业,高规模,高的性能水平.如果你是新进入的网站设计与开发,有更多的机会,你被困在CSS中,如果你不留意.下面是一些常见的错误,很多新手Web开发人员经常犯,而他们玩的CSS. • 结合不当CSS网站复位内! 值得注意的是,CSS复位,帮助开发者使网站的所有元素在所有的浏览器,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3nx0z.html" rel="bookmark">C&plus;&plus;编程人员容易犯的10个C&num;错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				c++|编程   C++编程人员容易犯的10个C#错误 我们知道, C#的语法与C++非常相似,实现从C++向C#的转变,其困难不在于语言本身,而在于熟悉.NET的可管理环境和对.NET框架的理解. 尽管C#与C++在语法上的变化是很小的,几乎不会对我们有什么影响,但有些变化却足以使一些粗心的C++编程人员时刻铭记在心.在本篇文章中我们将讨论C++编程人员最容易犯的十个错误. 陷阱1: 没有明确的结束方法 几乎可以完全肯定地说,对于大多数C++编程人员而言,C#与C++最大的不同之处就在于碎片收			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW26gAb.html" rel="bookmark">开发人员正确实施加密机制的比例仍偏低</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是开发人员正确实施加密机制的比例仍偏低,尽管过去几年当中利用加密机制打击安全漏洞的举措已经迎来了显著推进,但开发人员缺乏专业知识以及相关库过于复杂的状况仍然导致多数商业应用程序并未得到加密机制的有效保护. 这一问题的规模显然不容忽视.目前加密问题已经成为各行业当中最为常见的安全缺陷类型,应用程序安全厂商Veracode公司在本周发布的一份报告当中指出. 这份报告以静态.动态与人工漏洞分析作为统计基础,对企业环境中所使用的超过20万款商用及自主开发的应用程序进行了调查. 加密问题在历史角度			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6A6Jb.html" rel="bookmark" class="title">善用色彩设计网页</a>
					<div>
						设计|网页 色彩的魅力是无限的,它可以让本身很平淡无味的东西,瞬间就能变得漂亮.美丽起来.信息时代的快速到来,网络也开始变的多姿多彩.人们不再局限于简单的文字与图片,他们要求网页看上去漂亮,舒适.所以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN2BxM.html" rel="bookmark" class="title">从7LOG迁移到Movable Type</a>
					<div>
						最近以来我在修改7LOG的程序上遇到很多麻烦,其代码改起来不是很好修改,而作者本人似乎也消声觅迹,不见踪影了,连其主页都被干掉了,看着需要添加的功能越来越麻烦,真的想去换到另外一个博客程序Movabl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPjx1b.html" rel="bookmark" class="title">网页设计技巧&colon;网页中英文混排行高问题</a>
					<div>
						基本上快被这个问题搞疯了,症状如下 症状描述:在ie下(6或7,8没有试过)当出现中英文混排,都采用默认字体时,并使用 li 列表做float时,会出现如上图的症状,文字排列上下不对齐的情况.影响了布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3G5Ab.html" rel="bookmark" class="title">网站优化推广双管齐下</a>
					<div>
						终于加入站长网了,呵呵!笔者今天针对中小企业的互联网营销发展之路做个个人建议,今天笔者遇到一个朋友,最近想把网络这块做起来,他这边是做整体衣橱衣柜(武汉瑞时家具),这边提到了天助网的引擎发布系统,它是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEVq9M.html" rel="bookmark" class="title">解答新手SEO如何对待各种工具</a>
					<div>
						  做seo需要用到很多的工具来分析数据,提高工作效率.一开始我非常迷茫,这些工具该不该用,什么时候用,要怎么合理利用.新手都有这些问题,在此谈谈我的看法. 第一.工具是必须的吗?让需求决定! 我做s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2g5Ob.html" rel="bookmark" class="title">Mac OS X中不用鼠标、使用键盘重新开关机</a>
					<div>
						不用鼠标也行: 不知道大家在古典时代是否有使用这一些键盘的功能,我是觉得很实用,也让我工作效率增加,而这些功能在Mac OS X也都还存在,现在提供: 首先,接下来所说得上下键都是上下左右键的上跟下的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yQQqz.html" rel="bookmark" class="title">Linux下的基本操作和常用命令</a>
					<div>
						随着mono的发展,asp.net也实现了跨平台的开发,而要mono在Linux下跑起来,也需要掌握一些Linux的操作,以下为大家总结了一些关于Linux的基本操作. Linux命令基础操作 一.S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balXGQz.html" rel="bookmark" class="title">hosts文件的妙用，hosts文件的功效</a>
					<div>
						如果你没接触过网络那么你很有可能不知道hosts文件,甚至你根本不知道有这个文件.更不用说你会知道它有什么功效了,这个文件对于大部分人来说是没什么用的,因为你根本不需要去改它.但是有点时候它还是很有用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOylYb.html" rel="bookmark" class="title">下一代文件系统WinFS图文演示</a>
					<div>
						下面为了让大家能较好地了解这个新一代的技术,我们用图文的形式向大家演示WinFS的神秘面纱. WinFS的安装与一些应用程序相似,它需要特定版本的.NET Framework (2.0.50215.3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK2dOM.html" rel="bookmark" class="title">Wifi有黄色感叹号怎么办</a>
					<div>
						  首先,出现感叹号就意味着连不上网,连不上网,我们首先就要考虑的,是不是连接路由器的网线连接有问题: 1.网线有没有插好 2.是不是网线出现松动了 3.是不是网线插头坏了 如果没问题,我们需要仔细观 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdEK4M.html" rel="bookmark" class="title">Photoshop给美女照片加上甜美的淡淡红褐色技巧</a>
					<div>
						图片的颜色比较少,需要改变的颜色也比较少,只需要对图片的黄.绿及暗部颜色进行调整.大致主色确定后,适当增加高光及暗部颜色,把整体调淡即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开素材 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAO5ZM.html" rel="bookmark" class="title">转&Tab;&amp;quot&semi;extensions&sol;ExtensionMacros&period;h&rdquo;&colon; No such file 问题</a>
					<div>
						    今天在做2.x移植到3.1.1的时候候导入扩展包出现了错误,经过多方查找,最后终于把问题解决了,分享出来,给大家提供一个参考. 第一步,我们需要导入三个包,导入方式:解决方案(右键)-&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kRd3M.html" rel="bookmark" class="title">为什么 Linux 不需要碎片整理</a>
					<div>
						翻译一篇小文章,练练英语翻译^_^本文原文地址:http://geekblog.oneandoneis2.org/index.php/2006/08/17/why_doesn_t_linux_need ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kev3M.html" rel="bookmark" class="title">&period;Net平台下的第三方Excel类库对比</a>
					<div>
						  转自 http://topming.com/636.html 最近的一个项目中需要在DataTable和Excel之间做相互转换,Excel需是真正的xls,而不是CVS或者TVS或HTML写 法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwQWvM.html" rel="bookmark" class="title">效率之先&comma;能力所致&mdash;LaCie存储 Rugged mini移动硬盘</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   硅谷网讯 很 多人都 211.html&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQJX0z.html" rel="bookmark" class="title">揭秘 IIFE 语法</a>
					<div>
						本文讲的是揭秘 IIFE 语法, 只要你稍微接触过一些 JavaScript,你一定会频繁地接触到下面这个模式 -- IIFE,其全称为 immediately invoked function ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjOvrp.html" rel="bookmark" class="title">网站二级域名设置-新人求助&colon;关于网站新增二级域名的问题</a>
					<div>
						问题描述 新人求助:关于网站新增二级域名的问题 最近网站需要增加二级域名网站,我在网万后台新增了二级域名,记录类型选的是CNAME,记录值选的是网站域名,并且也做过域名绑定了,但是打开这个新增的二级域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBBPGM.html" rel="bookmark" class="title">SAP HANA 建模问题？知道请进答复</a>
					<div>
						问题描述 HANA建立简单属性试图attributeview如图:activate没通过.报user-wt.ATTR_EMPLOYEE:NoVisibleKeyAttributeFoundintheA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL71J5M.html" rel="bookmark" class="title">苹果承认存在&OpenCurlyDoubleQuote;诊断功能&rdquo;</a>
					<div>
						网易科技讯 7月24日消息,据国外媒体报道,不久前知名iOS黑客乔纳森・扎德尔斯基(Jonathan Zdziarski)披露iOS存在若干后门,在特定的情况下可以获取到用户的个人信息,苹果日前简介承 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB92Zb.html" rel="bookmark" class="title">重庆第二次互联网大会探讨吸引风投的秘笈</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 重庆本土网络企业如何赢得风 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKVQXb.html" rel="bookmark" class="title">一犯罪嫌疑人被提起公诉</a>
					<div>
						瞄准&quot;赶集网&quot;上的手机卖家下手,先后抢夺5部手机.日前,宝山检察院对涉嫌抢夺的犯罪嫌疑人蔡某提起公诉.检察官提醒,市民在通过网络与他人进行二手货买卖时,一定要加强安全防范意识. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLRDOM.html" rel="bookmark" class="title">阿里云服务器备案接入方法</a>
					<div>
						注意,请先到阿里云官网领取幸运券,除了价格上有很多优惠外,还可以参与抽奖.详见:https://promotion.aliyun.com/ntms/act/ambassador/sharetouser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBGX1z.html" rel="bookmark" class="title">浅谈O2O</a>
					<div>
						网上获得信息到实体店去体验回到网上下单 最近,在临安做服装生意的曹江琴准备扩大门面,新门面将在现有100多平米的基础上扩大好几倍.因为三月份以来她没有在服装采购上投入太多资金,手头很宽裕,&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqX8yb.html" rel="bookmark" class="title">求大神指教，小弟刚搞spring 就碰这个异常折腾了好久</a>
					<div>
						问题描述 Exceptioninthread&quot;Thread-7&quot;org.springframework.beans.factory.BeanCreationNotAllowedEx ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjw2P8M.html" rel="bookmark" class="title">DevOps企业峰会：娱乐大厂迪士尼的DevOps转型之路</a>
					<div>
						前言 在刚结束的伦敦DevOps企业峰会上,迪士尼公司的系统工程总监Jason Cox分享了公司背后的组织架构以及迪士尼公司的DevOps转型之路. DevOps企业峰会:娱乐大厂迪士尼的DevOps ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn7e9M.html" rel="bookmark" class="title">午评：4新股上市2股破发N奥克跌8&period;73&percnt;</a>
					<div>
						查看最新行情查看最新行情查看最新行情查看最新行情 今日,恒信移动.奥克股份.劲胜股份和海默科技等4家公司在深交所创业板上市,至此,创业板个股数增加至82只.不过近期愈演愈烈的&quot;破发潮&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RrZmz.html" rel="bookmark" class="title">server-sql问题急急急，来大神解决</a>
					<div>
						问题描述 sql问题急急急,来大神解决 SQL server求一行中数据的最小值,表的列数不固定,注意是一行不是一列,能只用函数解决是最好 解决方案 那你把一行数据读取出来放在某个容器里,然后比较大小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22mjVb.html" rel="bookmark" class="title">C&plus;&plus;&plus;中的基类的虚方法在派生类中设为虚的还是非虚方法好？</a>
					<div>
						问题描述 C+++中的基类的虚方法在派生类中设为虚的还是非虚方法好? //brass.h -- bank account classes#ifndef BRASS_H_#define BRASS_H_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JxE0z.html" rel="bookmark" class="title">城管被百度解释成打砸抢 城管队长称太心酸&lpar;图&rpar;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 昨日,城管执法队员小李试着在&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnGrOM.html" rel="bookmark" class="title">数字在二进制文件中是怎么保存的</a>
					<div>
						问题描述 数字在二进制文件中是怎么保存的 如图 为什么3.1415927可以用DB 0F 49 40表示 解决方案 浮点数可以用32位表示 解决方案二: c++ 二进制保存文件python下将文件以二 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
